[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.Create

Constructor for the class instance.

## Declaration

Source position: valedit.pas line 179

`public constructor TValueListEditor.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the control instance.

## Description

Create is the constructor for the class instance. Create allocates resources for the Strings and TitleCaptions properties, and calls the inherited constructor. Create sets the event handlers in Strings and TitleCaptions to methods in the class instance. Create sets the default values for the following properties:

ColCount
  2
RowCount
  2
FixedCols
  0
Options
  [ goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goColSizing, goEditing, goAlwaysShowEditor, goThumbTracking ]
Col
  1
DropDownRows
  8
AutoFillColumns
  True

Create initializes the value for internal member used to track the last row edited in the control.

## See also

TValueListEditor.Destroy |  | Destructor for the class instance.